9.5. Encodieren ins MPEG-Format
Zurück | Kapitel 9. Allgemeiner Gebrauch von MEncoder | Weiter

## 9.5. Encodieren ins MPEG-Format

MEncoder kann Ausgabedateien im Format MPEG (MPEG-PS) erzeugen. Gewöhnlich, wenn du MPEG1- oder MPEG2-Videos benutzt, tust du dies, weil du in ein erzwungenes Format wie SVCD, VCD oder DVD encodierst. Die spezifischen Anforderungen an diese Formate werden im Abschnitt Verwenden von MEncoder zum Erzeugen VCD/SVCD/DVD-konformer Dateien beschrieben.

Verwende die Option `-of mpeg`, um das Format der Ausgabedatei von MEncoder zu ändern.

Beispiel:

              mencoder input.avi -of mpeg -ovc lavc -lavcopts vcodec=mpeg1video \
              -oac copy other_options -o output.mpg

Erzeugen einer für das Abspielen auf Systemen mit minimalem Multimedia-Support geeigneten MPEG1-Datei, wie etwa auf Standard-Windows-Installationen:

              mencoder input.avi -of mpeg -mpegopts format=mpeg1:tsaf:muxrate=2000 \
              -o output.mpg -oac lavc -ovc lavc \
              -lavcopts acodec=mp2:abitrate=224:vcodec=mpeg1video:vbitrate=1152:keyint=15:mbd=2:aspect=4/3

Das gleiche bei Benutzung des MPEG-Muxers von `libavformat`:

              mencoder input.avi -o VCD.mpg -ofps 25 -vf scale=352:288,harddup -of lavf \
              -lavfopts format=mpg -oac lavc -lavcopts acodec=mp2:abitrate=224 -ovc lavc \
              -lavcopts vcodec=mpeg1video:vrc_buf_size=327:keyint=15:vrc_maxrate=1152:vbitrate=1152:vmax_b_frames=0

### Hinweis:

Wenn dich die Video-Qualität des zweiten Durchgangs aus irgendeinem Grund nicht zufrieden gestellt hat, kannst du deine Encodierung mit einer anderen Zielbitrate erneut durchlaufen lassen, vorausgesetzt, du hast die Statistikdateien des vorherigen Durchgangs gesichert. Dies ist möglich, weil das Primärziel der Statistikdateien die Aufzeichnung der Komplexität jedes Frames ist, was nicht allzusehr von der Bitrate abhängt. Du solltest daher beachten, dass du die besten Ergebnisse bekommst, wenn alle Durchgänge mit nicht zu sehr voneinander abweichenden Ziel-Bitraten durchlaufen werden.

Zurück | Nach oben | Weiter
9.4. Encodieren von 2-pass-MPEG4 ("DivX") | Zum Anfang | 9.6. Reskalierung von Filmen